<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Field;

/**
 * Email address <input> field
 * 
 * Examples:
 * <code>
 * $form->email('email');
 * $form->email('email', array('required' => false));
 * </code>
 * 
 * @package    Pancake
 * @subpackage Fields
 */
class Email extends InputText
{
	public static $methodName = 'email';
	protected $_paragraphClasses = array(
		'email',
		'field',
		'text'
	);
	
	/**
	 * Adds default email-address validation
	 */
	protected function _init()
	{
		parent::_init();
		$this->_addValidation('IsEmail');
	}
}