<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Field;

/**
 * Hidden <input> field
 * 
 * Examples:
 * <code>
 * $form->hidden('name');
 * </code>
 *
 * @package    Pancake
 * @subpackage Fields
 */
class InputHidden extends Input
{
	public static $methodName = 'hidden';
	protected $_attributes = array(
		'type' => 'hidden'
	);
	
	// Hidden inputs should have no paragraph and label
	protected $_properties = array(
		'paragraph' => false,
		'show_label' => false
	);
}