<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Field;

/**
 * Submit <input> button
 * 
 * Examples:
 * <code>
 * $form->submit('submit', 'Submit Form');
 * </code>
 *
 * @package    Pancake
 * @subpackage Fields
 */
class InputSubmit extends Input
{
	public static $methodName = 'submit';
	protected $_paragraphClasses = array(
		'submit'
	);
	protected $_attributes = array(
		'type' => 'submit'
	);
	
	// Require button text to be set
	protected $_requiredParameters = array(
		'value'
	);
	
	// No labels for submit buttons
	protected $_properties = array(
		'show_label' => false
	);
	
	// Allow submit buttons to help with mulitple forms on one page
	protected $_canBeFormIdentifier = true;
}