<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Field;

/**
 * Radio button <input> list field
 * 
 * Examples:
 * <code>
 * $form->radioList('numbers', array('one', 'two', 'three));
 * $form->radioList('numbers', array(array('one', array('help_text' => 'Uno')), 'two', 'three));
 * $form->radioList('numbers', array('one', 'two', 'three), array('label_element' => 'h4'));
 * </code>
 * 
 * Field-specific properties:
 * - <b>container:</b>     OPTIONAL Tag for the group container (defaults to "<div>")
 * - <b>label_element:</b> OPTIONAL Tag for the group label (defaults to "<h3>")
 * - <b>options:</b>       REQUIRED List options
 * 
 * @package    Pancake
 * @subpackage Fields
 * @uses       \Pancake\Field\ListRadiosOption
 */
class ListRadios extends ListCheckboxes
{
	public static $methodName = 'radioList';
	protected $_paragraphClasses = array(
		'field',
		'radio-list',
		'list'
	);
	
	// Radio list settings
	protected $_optionClass = '\Pancake\Field\ListRadiosOption';
	protected $_allowMultiples = false;
}