<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Field;

use Pancake\Helper;

/**
 * Phone number <input> field
 * 
 * Examples:
 * <code>
 * $form->phone('home_phone');
 * $form->phone('home_phone', array('help_text', 'Please include the country code.'));
 * </code>
 * 
 * @package    Pancake
 * @subpackage Fields
 */
class Phone extends InputText
{
	public static $methodName = 'phone';
	protected $_paragraphClasses = array(
		'field',
		'phone',
		'text'
	);
	
	/**
	 * Adds default phone-number validation and sets a maxlength attribute
	 */
	protected function _init()
	{
		$this->attribute('maxlength', 20);
		
		// Add default phone-number validation
		$this->_addValidation('IsPhoneNumber');
	}
	
	/**
	 * Returns a formatted phone number
	 * 
	 * @return string
	 */
	protected function _formattedValue()
	{
		return Helper\SUA::formatPhoneNumber($this->value);
		return \format_phone_number($this->value);
	}
}