<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Field;

/**
 * US and Canadian postal code <input> field
 * 
 * Examples:
 * <code>
 * $form->postalCode('zip_code');
 * $form->postalCode('zip_code', array('label', 'ZIP Code'));
 * </code>
 * 
 * @package    Pancake
 * @subpackage Fields
 */
class PostalCode extends InputText
{
	public static $methodName = 'postalCode';
	protected $_paragraphClasses = array(
		'field',
		'postal-code',
		'text'
	);
	
	/**
	 * Adds default postal-code validation and sets a maxlength attribute
	 */
	protected function _init()
	{
		$this->attribute('maxlength', 10);
		
		// Add default postal-code validation
		$this->_addValidation('IsPostalCode');
	}
}