<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Helper;

/**
 * Returns a safe field name
 * 
 * @package Pancake
 */
class SafeFieldName implements Helper
{
	/**
	 * Returns a safe field name
	 * 
	 * Strips out any non-alphanumeric characters and replaces spaces
	 * with dashes.
	 * 
	 * @param  string $name
	 * @return string
	 */
	public static function process($name)
	{
		$name = strtolower($name);
		
		// Keep only alphanumeric characters and replace spaces with dashes
		$name = preg_replace('#[^a-z0-9\s-_]#', NULL, $name);
		$name = trim(preg_replace('#[\s-]+#', ' ', $name));
		$name = preg_replace('#\s#', '_', $name);
		
		return $name;
	}
}