<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Settings;

/**
 * Field settings
 * 
 * @package    Pancake
 * @subpackage Settings
 */
class Fields
{
	/**
	 * Class to add to field paragraphs containing accessible text
	 */
	const ACCESSIBLE_TEXT_CLASS = 'accessible-text';
	
	/**
	 * HTML for accessible text
	 */
	const ACCESSIBLE_TEXT_HTML = ' <span class="accessible">%s</span>';
	
	/**
	 * Class to add to field paragraphs upon error
	 */
	const ERROR_CLASS = 'error';
	
	/**
	 * HTML for the error message
	 */
	const ERROR_HTML = ' <strong class="error">%s</strong>';
	
	/**
	 * Prefix for field IDs (e.g. "name" -> "f_name")
	 */
	const ID_PREFIX = 'f_';
	
	/**
	 * Class to add to field paragraphs containing help text
	 */
	const HELP_TEXT_CLASS = 'help-text';
	
	/**
	 * HTML for help text
	 */
	const HELP_TEXT_HTML = ' <small class="note">%s</small>';
	
	/**
	 * Class to add to field paragraphs if optional
	 */
	const OPTIONAL_CLASS = 'optional';
	
	/**
	 * HTML for the optional message
	 */
	const OPTIONAL_HTML = ' <em class="optional">(optional)</em>';
	
	/**
	 * HTML for file-already-uploaded message
	 */
	const UPLOAD_MESSAGE_HTML = ' <span class="upload-message">%s</span>';
}