<?php
/**
 * Pancake Forms
 * 
 * @author     Ethan Poole
 * @package    Pancake
 * @subpackage Validators
 */

namespace Pancake\Validator;

/**
 * Alphanumeric character validator
 * 
 * Examples:
 * <code>
 * $alphaNumeric->validate('string'); // True
 * $alphaNumeric->validate('") DROP TABLES;'); // False
 * </code>
 * 
 * @package    Pancake
 * @subpackage Validators
 */
class IsAlphaNumeric extends Validator
{
	protected $_error = 'Please enter only letters and numbers.';
	
	/**
	 * @param  mixed $value
	 * @return boolean
	 */
	protected function _isTrue($value)
	{
		return preg_match('#^[\p{Ll}\p{Lm}\p{Lo}\p{Lt}\p{Lu}\p{Nd}]+$#mu', $value);
	}
}