<?php
/**
 * Pancake Forms
 * 
 * @author     Ethan Poole
 * @package    Pancake
 * @subpackage Validators
 */

namespace Pancake\Validator;

/**
 * Checkbox validator
 * 
 * Examples:
 * <code>
 * $checkbox->validate(true); // True
 * $checkbox->validate(false); // True
 * $checkbox->validate('foobar'); // False
 * </code>
 * 
 * @package    Pancake
 * @subpackage Validators
 */
class IsCheckbox extends Validator
{
	protected $_error = 'Please check or uncheck the checkbox.';
	
	/**
	 * @param  mixed $value
	 * @return boolean
	 */
	protected function _isTrue($value)
	{
		return is_bool($value);
	}
}