<?php
/**
 * Pancake Forms
 * 
 * @author     Ethan Poole
 * @package    Pancake
 * @subpackage Validators
 */

namespace Pancake\Validator;

/**
 * Date day validator
 * 
 * Examples:
 * <code>
 * $day->validate(12); // True
 * $day->validate(32); // False
 * </code>
 * 
 * @package    Pancake
 * @subpackage Validators
 */
class IsDateDay extends Validator
{
	protected $_error = 'Please enter a valid numeric day.';
	
	/**
	 * @param  mixed $value
	 * @return boolean
	 */
	protected function _isTrue($value)
	{
		$isBetween = new IsBetween;
		
		return is_numeric($value) && $isBetween->validate((int) $value, 1, 31) === true;
	}
}