<?php
/**
 * Pancake Forms
 * 
 * @author     Ethan Poole
 * @package    Pancake
 * @subpackage Validators
 */

namespace Pancake\Validator;

/**
 * Date year validator
 * 
 * Examples:
 * <code>
 * $year->validate(2010); // True
 * $year->validate(556); // False
 * $year->validate(18890); // False
 * </code>
 * 
 * @package    Pancake
 * @subpackage Validators
 */
class IsDateYear extends Validator
{
	protected $_error = 'Please enter a valid 4-digit year.';
	
	/**
	 * @param  mixed $value
	 * @return boolean
	 */
	protected function _isTrue($value)
	{
		return is_numeric($value) && strlen($value) == 4;
	}
}