<?php
/**
 * Pancake Forms
 * 
 * @author     Ethan Poole
 * @package    Pancake
 * @subpackage Validators
 */

namespace Pancake\Validator;

use Pancake\Helper;

/**
 * Email address validator
 * 
 * Examples:
 * <code>
 * $email->validate('pool0079@umn.edu'); // True
 * $email->validate('@umn.edu'); // False
 * </code>
 * 
 * @package    Pancake
 * @subpackage Validators
 */
class IsEmail extends Validator
{
	protected $_error = 'Please enter a valid email address.';
	
	/**
	 * @param  mixed $value
	 * @return boolean
	 */
	protected function _isTrue($value)
	{
		return Helper\SUA::isValidEmail($value);
	}
}