<?php
/**
 * Pancake Forms
 * 
 * @author     Ethan Poole
 * @package    Pancake
 * @subpackage Validators
 */

namespace Pancake\Validator;

/**
 * IP address validator
 * 
 * Examples:
 * <code>
 * $ip->validate('128.101.72.244'); // True
 * $ip->validate('128.101.244'); // False
 * </code>
 * 
 * @package    Pancake
 * @subpackage Validators
 */
class IsIP extends Validator
{
	protected $_error = 'Please enter a valid <abbr title="Internet Protocol">IP</abbr> address.';
	
	/**
	 * @param  mixed $value
	 * @return boolean
	 */
	protected function _isTrue($value)
	{
		return preg_match('#\b(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\b#', $value);
	}
}