<?php
/**
 * Pancake Forms
 * 
 * @author     Ethan Poole
 * @package    Pancake
 * @subpackage Validators
 */

namespace Pancake\Validator;

/**
 * Numeric validator
 * 
 * Examples:
 * <code>
 * $numeric->validate('123'); // True
 * $numeric->validate('abc'); // False
 * </code>
 * 
 * @package    Pancake
 * @subpackage Validators
 */
class IsNumeric extends Validator
{
	protected $_error = 'Please enter a numeric value.';
	
	/**
	 * @param  mixed $value
	 * @return boolean
	 */
	protected function _isTrue($value)
	{
		return is_numeric($value);
	}
}