<?php
/**
 * Pancake Forms
 * 
 * @author     Ethan Poole
 * @package    Pancake
 * @subpackage Validators
 */

namespace Pancake\Validator;

use Pancake\Helper;

/**
 * Phone number validator
 * 
 * This validator will accept nearly any format of phone number.  See
 * is_valid_US_phone() in std_lib.php for details.
 * 
 * Examples:
 * <code>
 * $phone->validate('(612) 624-8749'); // True
 * $phone->validate('123456'); // False
 * </code>
 *
 * @package    Pancake
 * @subpackage Validators
 */
class IsPhoneNumber extends Validator
{
	protected $_error = 'Please enter a valid phone number.';
	
	/**
	 * @param  mixed $value
	 * @return boolean
	 */
	protected function _isTrue($value)
	{
		return Helper\SUA::isValidUSPhone($value);
	}
}