<?php
/**
 * Pancake Forms
 * 
 * @author     Ethan Poole
 * @package    Pancake
 * @subpackage Validators
 */

namespace Pancake\Validator;

/**
 * Is not empty validator
 * 
 * Examples:
 * <code>
 * $required->validate('fooobar'); // True
 * $required->validate(''); // False
 * $required->validate(null); // False
 * </code>
 * 
 * @package    Pancake
 * @subpackage Validators
 */
class IsRequired extends Validator
{
	protected $_error = 'This field is required.';
	
	/**
	 * @param  mixed $value
	 * @return boolean
	 */
	protected function _isTrue($value)
	{
		return $value != null;
	}
}