<?php
/**
 * Pancake Forms
 * 
 * @author     Ethan Poole
 * @package    Pancake
 * @subpackage Validators
 */

namespace Pancake\Validator;

/**
 * Semester validator
 * 
 * Examples:
 * <code>
 * $semester->validate('Spring'); // True
 * $semester->validate('Winter'); // False
 * </code>
 * 
 * @package    Pancake
 * @subpackage Validators
 */
class IsSemester extends Validator
{
	protected $_error = 'Please select a valid school-year semester.';
	
	/**
	 * Valid school-calendar semesters
	 * 
	 * @var array
	 */
	public static $semesters = array(
		'Fall',
		'Spring',
		'Summer'
	);
	
	/**
	 * @param  mixed $value
	 * @return boolean
	 */
	protected function _isTrue($value)
	{
		$isOneOf = new IsOneOf;
		return $isOneOf->validate($value, IsSemester::$semesters) === true;
	}
}