<?php
/**
 * Pancake Forms
 * 
 * @author     Ethan Poole
 * @package    Pancake
 * @subpackage Validators
 */

namespace Pancake\Validator;

/**
 * Time validator
 * 
 * Examples:
 * <code>
 * $time->validate('5:00'); // True
 * $time->validate('5:00 A.M.'); // Include meridiem, True
 * $time->validate('3pm'); // Short format; True
 * $time->validate('19:29'); // 24-hour clock; True
 * $time->validate('24:00'); // False
 * $time->validate('12:67'); // False
 * </code>
 * 
 * @package    Pancake
 * @subpackage Validators
 */
class IsTime extends Validator
{
	protected $_error = 'Please enter a valid time.';
	
	/**
	 * @param  mixed $value
	 * @return boolean
	 */
	protected function _isTrue($value)
	{
		return preg_match('#^(20|21|22|23|[01]\d|\d)(:[0-5]\d)?(( )?[apAP]\.?[mM]\.?)?$#', $value);
	}
}