<?php
/**
 * Pancake Forms
 * 
 * @author     Ethan Poole
 * @package    Pancake
 * @subpackage Validators
 */

namespace Pancake\Validator;

/**
 * URL validator
 * 
 * Examples:
 * <code>
 * $url->validate('http://news.bbc.co.uk'); // True
 * $url->validate('domain.name'); // False
 * </code>
 * 
 * @package    Pancake
 * @subpackage Validators
 */
class IsURL extends Validator
{
	protected $_error = 'Please enter a valid website address.';
	
	/**
	 * @param  mixed $value
	 * @return boolean
	 */
	protected function _isTrue($value)
	{
		return filter_var($value, FILTER_VALIDATE_URL) !== false;
	}
}