<?php
/**
 * Pancake Forms
 * 
 * @author     Ethan Poole
 * @package    Pancake
 * @subpackage Validators
 */

namespace Pancake\Validator;

/**
 * Unique values validator
 * 
 * Examples:
 * <code>
 * $isUnique->validate(array('one', 'two', 'three')); // True
 * $isUnique->validate(array('one', 'one', 'three')); // False
 * </code>
 * 
 * @package    Pancake
 * @subpackage Validators
 */
class IsUnique extends Validator
{
	protected $_error = 'Please make sure all of your values are unique.';
	
	/**
	 * @param  mixed $value
	 * @return boolean
	 */
	protected function _isTrue($value)
	{
		return is_array($value)
			&& count($value) == count(array_unique($value));
	}
}