<?php
/**
 * Pancake Forms
 * 
 * @author     Ethan Poole
 * @package    Pancake
 * @subpackage Validators
 */

namespace Pancake\Validator;

/**
 * Regular expression validator
 * 
 * Examples:
 * <code>
 * $pattern->validate('#[0-9]#', 5); // True
 * $pattern->validate('#[0-9]#', 'abc'); // False
 * </code>
 * 
 * <b>NOTE!</b> You must write your own error message for this validation
 * function, since there is no conceivable way to determine what should be
 * inputted in human terms.
 * 
 * @package    Pancake
 * @subpackage Validators
 */
class MatchesPattern extends Validator
{
	protected $_error = 'Please enter a valid value.';
	
	/**
	 * @param  mixed  $value
	 * @param  string $pattern Regular-expression pattern to which to match
	 * @return boolean
	 */
	protected function _isTrue($value, $pattern)
	{
		return preg_match($pattern, $value);
	}
}