<?php
/**
 * Pancake Forms Unit Tests
 * 
 * @author     Ethan Poole
 * @package    Pancake
 * @subpackage UnitTests
 */

namespace Pancake;

// SimpleTest requirements
include_once 'simpletest/unit_tester.php';
include_once 'simpletest/reporter.php';

//include_once 'std_lib.php';
include_once 'Pancake/Pancake.php';

/**
 * Base unit-test class that creates new Pancake instances automatically
 * 
 * @package    Pancake
 * @subpackage UnitTests
 */
abstract class PancakeUnitTestCase extends \UnitTestCase
{
	/**
	 * @var Pancake
	 */
	protected $_pancake;
	
	/**
	 * Create a fresh Pancake instance for each test
	 */
	function setUp()
	{
		$this->_pancake = new Pancake;
	}
}

namespace Pancake\Test;

abstract class Test extends \Pancake\PancakeUnitTestCase
{
	
}

namespace Pancake;

$tests = new \TestSuite('Pancake Unit Tests');

// Load all unit-test files
if ($handle = opendir('./'))
{
	while (($file = readdir($handle)) !== false)
	{
		if ($file != '.' && $file != '..' && $file != 'index.php' && !is_dir($file))
		{
			$tests->addTestFile('./' . $file);
		}
	}
}

function load_tests($directory)
{
	global $tests;
	
	if ($handle = opendir($directory))
	{
		while (($file = readdir($handle)) !== false)
		{
			if ($file != '.' && $file != '..')
			{
				if (is_dir($directory . '/' . $file))
				{
					load_tests($directory . '/' . $file);
				}
				else
				{
					$tests->addTestFile($directory . '/' . $file);
				}
			}
		}
	}
}

load_tests('./tests');

$tests->run(new \HtmlReporter);

?>