<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Exception;
use Pancake\Field\DateCalendar;

/**
 * {@link \Pancake\Field\DateCalendar} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class DateCalendarTest extends Test
{
	function test()
	{
		$this->assertTrue(class_exists('\Pancake\Field\DateCalendar'));
		$this->assertEqual('Pancake\Field\InputText', get_parent_class('Pancake\Field\DateCalendar'));
		$this->assertEqual(DateCalendar::$methodName, 'dateCalendar');
	}
	
	function testFormattedValidation()
	{
		$field = new DateCalendar('birthday');
		$field->value = time();
		$this->assertEqual($field->formattedValue, date('l, j F Y', time()));
	}
	
	function testParagraphOutput()
	{
		$field = new DateCalendar('birthday');
		$this->assertEqual($field->__toString(), '<p class="calendar date field text"><label for="f_birthday">Birthday</label><input id="f_birthday" name="birthday" type="text" /></p>');
	}
	
	function testValidation()
	{
		$field = new DateCalendar('birthday');
		
		$field->value = time();
		$this->assertTrue($field->isValid());
		
		$field->value = '8/18/2010';
		$this->assertTrue($field->isValid());
		
		$field->value = 'foobar';
		$this->assertFalse($field->isValid());
	}
}