<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Exception;
use Pancake\Field\Email;

/**
 * {@link \Pancake\Field\Email} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class EmailTest extends Test
{
	function test()
	{
		$this->assertTrue(class_exists('\Pancake\Field\Email'));
		$this->assertEqual('Pancake\Field\InputText', get_parent_class('\Pancake\Field\Email'));
		$this->assertEqual(Email::$methodName, 'email');
	}
	
	function testDefaultOutput()
	{
		$field = new Email('foobar');
		$this->assertEqual($field->output(), '<input id="f_foobar" name="foobar" type="text" />');
	}
	
	function testParagraphOutput()
	{
		$field = new Email('foobar');
		$this->assertEqual($field->__toString(), '<p class="email field text"><label for="f_foobar">Foobar</label><input id="f_foobar" name="foobar" type="text" /></p>');
	}
	
	function testValidation()
	{
		$field = new Email('foobar');
		
		$field->value = 'pool0079@umn.edu';
		$this->assertTrue($field->isValid());
		
		$field->value = 'foobar';
		$this->assertFalse($field->isValid());
	}
}