<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Exception;
use Pancake\Field\InputHidden;

/**
 * {@link \Pancake\Field\InputHidden} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class InputHiddenTest extends Test
{
	function test()
	{
		$this->assertTrue(class_exists('\Pancake\Field\InputHidden'));
		$this->assertEqual('Pancake\Field\Input', get_parent_class('\Pancake\Field\InputHidden'));
		$this->assertEqual(InputHidden::$methodName, 'hidden');
	}
	
	function testDefaultOutput()
	{
		$field = new InputHidden('foobar');
		$this->assertEqual($field->output(), '<input id="f_foobar" name="foobar" type="hidden" />');
	}
	
	function testParagraphOutput()
	{
		$field = new InputHidden('foobar');
		$this->assertEqual($field->__toString(), '<input id="f_foobar" name="foobar" type="hidden" />');
	}
}