<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Exception;
use Pancake\Field\InputSubmit;

/**
 * {@link \Pancake\Field\InputSubmit} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class InputSubmitTest extends Test
{
	function test()
	{
		$this->assertTrue(class_exists('\Pancake\Field\InputSubmit'));
		$this->assertEqual('Pancake\Field\Input', get_parent_class('\Pancake\Field\InputSubmit'));
		$this->assertEqual(InputSubmit::$methodName, 'submit');
	}
	
	function testDefaultOutput()
	{
		$field = new InputSubmit('foobar', 'Send');
		$this->assertEqual($field->output(), '<input id="f_foobar" name="foobar" type="submit" value="Send" />');
	}
	
	function testParagraphOutput()
	{
		$field = new InputSubmit('foobar', 'Send');
		$this->assertEqual($field->__toString(), '<p class="submit"><input id="f_foobar" name="foobar" type="submit" value="Send" /></p>');
	}
}