<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Exception;
use Pancake\Field\InputText;

/**
 * {@link \Pancake\Field\InputText} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class InputTextTest extends Test
{
	function test()
	{
		$this->assertTrue(class_exists('\Pancake\Field\InputText'));
		$this->assertEqual('Pancake\Field\Input', get_parent_class('\Pancake\Field\InputText'));
		$this->assertEqual(InputText::$methodName, 'text');
	}
	
	function testDefaultOutput()
	{
		$field = new InputText('foobar');
		$this->assertEqual($field->output(), '<input id="f_foobar" name="foobar" type="text" />');
	}
	
	function testParagraphOutput()
	{
		$field = new InputText('foobar');
		$this->assertEqual($field->__toString(), '<p class="field text"><label for="f_foobar">Foobar</label><input id="f_foobar" name="foobar" type="text" /></p>');
	}
}