<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Exception;
use Pancake\Field\PostalCode;

/**
 * {@link \Pancake\Field\PostalCode} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class PostalCodeTest extends Test
{
	function test()
	{
		$this->assertTrue(class_exists('\Pancake\Field\PostalCode'));
		$this->assertEqual('Pancake\Field\InputText', get_parent_class('Pancake\Field\PostalCode'));
		$this->assertEqual(PostalCode::$methodName, 'postalCode');
	}
	
	function testDefaultOutput()
	{
		$field = new PostalCode('foobar');
		$this->assertEqual($field->output(), '<input id="f_foobar" maxlength="10" name="foobar" type="text" />');
	}
	
	function testParagraphOutput()
	{
		$field = new PostalCode('foobar');
		$this->assertEqual($field->__toString(), '<p class="field postal-code text"><label for="f_foobar">Foobar</label><input id="f_foobar" maxlength="10" name="foobar" type="text" /></p>');
	}
	
	function testValidation()
	{
		$field = new PostalCode('foobar');
		
		$field->value = '55455';
		$this->assertTrue($field->isValid());
		
		$field->value = '315';
		$this->assertFalse($field->isValid());
	}
}