<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Exception;
use Pancake\Field\States;

/**
 * {@link \Pancake\Field\States} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class FieldStatesTest extends Test
{
	function test()
	{
		$this->assertTrue(class_exists('\Pancake\Field\States'));
		$this->assertEqual('Pancake\Field\Select', get_parent_class('Pancake\Field\States'));
		$this->assertEqual(States::$methodName, 'states');
	}
	
	function testDefaultOutput()
	{
		$field = new States('foo');
		$this->assertEqual($field->output(), '<select id="f_foo" name="foo"><option></option><option value="alberta">Alberta</option><option value="alabama">Alabama</option><option value="alaska">Alaska</option><option value="american_samoa">American Samoa</option><option value="arizona">Arizona</option><option value="arkansas">Arkansas</option><option value="british_columbia">British Columbia</option><option value="california">California</option><option value="colorado">Colorado</option><option value="connecticut">Connecticut</option><option value="district_of_columbia">District of Columbia</option><option value="delaware">Delaware</option><option value="federated_states_of_micronesia">Federated States of Micronesia</option><option value="florida">Florida</option><option value="georgia">Georgia</option><option value="guam">Guam</option><option value="hawaii">Hawaii</option><option value="idaho">Idaho</option><option value="illinois">Illinois</option><option value="indiana">Indiana</option><option value="iowa">Iowa</option><option value="kansas">Kansas</option><option value="kentucky">Kentucky</option><option value="louisiana">Louisiana</option><option value="maine">Maine</option><option value="manitoba">Manitoba</option><option value="marshall_islands">Marshall Islands</option><option value="maryland">Maryland</option><option value="massachusetts">Massachusetts</option><option value="michigan">Michigan</option><option value="minnesota">Minnesota</option><option value="mississippi">Mississippi</option><option value="missouri">Missouri</option><option value="montana">Montana</option><option value="new_brunswick">New Brunswick</option><option value="nebraska">Nebraska</option><option value="newfoundland_and_labrador">Newfoundland and Labrador</option><option value="nevada">Nevada</option><option value="northern_mariana_islands">Northern Mariana Islands</option><option value="nova_scotia">Nova Scotia</option><option value="northwest_territories">Northwest Territories</option><option value="nunavut">Nunavut</option><option value="new_hampshire">New Hampshire</option><option value="new_jersey">New Jersey</option><option value="new_mexico">New Mexico</option><option value="new_york">New York</option><option value="north_carolina">North Carolina</option><option value="north_dakota">North Dakota</option><option value="ohio">Ohio</option><option value="oklahoma">Oklahoma</option><option value="ontario">Ontario</option><option value="oregon">Oregon</option><option value="palau">Palau</option><option value="pennsylvania">Pennsylvania</option><option value="prince_edward_island">Prince Edward Island</option><option value="puerto_rico">Puerto Rico</option><option value="rhode_island">Rhode Island</option><option value="quebec">Quebec</option><option value="south_carolina">South Carolina</option><option value="south_dakota">South Dakota</option><option value="saskatchewan">Saskatchewan</option><option value="tennessee">Tennessee</option><option value="texas">Texas</option><option value="utah">Utah</option><option value="vermont">Vermont</option><option value="virginia">Virginia</option><option value="virgin_islands">Virgin Islands</option><option value="washington">Washington</option><option value="west_virginia">West Virginia</option><option value="wisconsin">Wisconsin</option><option value="wyoming">Wyoming</option><option value="yukon">Yukon</option></select>');
	}
	
	function testParagraphOutput()
	{
		$field = new States('foo');
		$this->assertEqual($field->__toString(), '<p class="field select states"><label for="f_foo">Foo</label><select id="f_foo" name="foo"><option></option><option value="alberta">Alberta</option><option value="alabama">Alabama</option><option value="alaska">Alaska</option><option value="american_samoa">American Samoa</option><option value="arizona">Arizona</option><option value="arkansas">Arkansas</option><option value="british_columbia">British Columbia</option><option value="california">California</option><option value="colorado">Colorado</option><option value="connecticut">Connecticut</option><option value="district_of_columbia">District of Columbia</option><option value="delaware">Delaware</option><option value="federated_states_of_micronesia">Federated States of Micronesia</option><option value="florida">Florida</option><option value="georgia">Georgia</option><option value="guam">Guam</option><option value="hawaii">Hawaii</option><option value="idaho">Idaho</option><option value="illinois">Illinois</option><option value="indiana">Indiana</option><option value="iowa">Iowa</option><option value="kansas">Kansas</option><option value="kentucky">Kentucky</option><option value="louisiana">Louisiana</option><option value="maine">Maine</option><option value="manitoba">Manitoba</option><option value="marshall_islands">Marshall Islands</option><option value="maryland">Maryland</option><option value="massachusetts">Massachusetts</option><option value="michigan">Michigan</option><option value="minnesota">Minnesota</option><option value="mississippi">Mississippi</option><option value="missouri">Missouri</option><option value="montana">Montana</option><option value="new_brunswick">New Brunswick</option><option value="nebraska">Nebraska</option><option value="newfoundland_and_labrador">Newfoundland and Labrador</option><option value="nevada">Nevada</option><option value="northern_mariana_islands">Northern Mariana Islands</option><option value="nova_scotia">Nova Scotia</option><option value="northwest_territories">Northwest Territories</option><option value="nunavut">Nunavut</option><option value="new_hampshire">New Hampshire</option><option value="new_jersey">New Jersey</option><option value="new_mexico">New Mexico</option><option value="new_york">New York</option><option value="north_carolina">North Carolina</option><option value="north_dakota">North Dakota</option><option value="ohio">Ohio</option><option value="oklahoma">Oklahoma</option><option value="ontario">Ontario</option><option value="oregon">Oregon</option><option value="palau">Palau</option><option value="pennsylvania">Pennsylvania</option><option value="prince_edward_island">Prince Edward Island</option><option value="puerto_rico">Puerto Rico</option><option value="rhode_island">Rhode Island</option><option value="quebec">Quebec</option><option value="south_carolina">South Carolina</option><option value="south_dakota">South Dakota</option><option value="saskatchewan">Saskatchewan</option><option value="tennessee">Tennessee</option><option value="texas">Texas</option><option value="utah">Utah</option><option value="vermont">Vermont</option><option value="virginia">Virginia</option><option value="virgin_islands">Virgin Islands</option><option value="washington">Washington</option><option value="west_virginia">West Virginia</option><option value="wisconsin">Wisconsin</option><option value="wyoming">Wyoming</option><option value="yukon">Yukon</option></select></p>');
	}
	
	function testValidation()
	{
		$field = new States('foobar');
		
		$field->value = 'minnesota';
		$this->assertTrue($field->isValid());
		
		$field->value = 'mexico';
		$this->assertFalse($field->isValid());
	}
}