<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Pancake;

/**
 * {@link \Pancake::resources()} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class PancakeResourcesTest extends Test
{
	protected $_css = '<link href="/js/pancake/jquery.datepick.media/redmond.datepick.css" rel="stylesheet" type="text/css" /><link rel="stylesheet" href="/css/pancake/pancake.css" media="screen,projection" /><!--[if IE]><link href="/css/pancake/pancake-ie.css" rel="stylesheet" type="text/css" /><![endif]-->';
	protected $_jquery = '<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js"></script>';
	protected $_js = '<script type="text/javascript" src="/js/pancake/jquery.datepick.js"></script><script type="text/javascript" src="/js/pancake/pancake.js"></script>';
	protected $_pancake;
	
	/**
	 * Removes the whitespace from a string for comparison
	 * 
	 * @param  string $string
	 * @return string
	 */
	static function removeWhitespace($string)
	{
		return str_replace(array("\n", "\t"), null, $string);
	}
	
	function setUp()
	{
		$this->_pancake = new Pancake;
	}
	
	function test()
	{
		$this->assertEqual(PancakeResourcesTest::removeWhitespace($this->_pancake->resources()), $this->_css . $this->_js);
	}
	
	function testIncludeCSS()
	{
		$this->assertEqual(PancakeResourcesTest::removeWhitespace($this->_pancake->resources(false)), $this->_js);
	}
	
	function testIncludeJS()
	{
		$this->assertEqual(PancakeResourcesTest::removeWhitespace($this->_pancake->resources(true, false)), $this->_css);
	}
	
	function testIncludeJQuery()
	{
		$this->assertEqual(PancakeResourcesTest::removeWhitespace($this->_pancake->resources(true, true, true)), $this->_css . $this->_jquery . $this->_js);
	}
}