<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\HasFileSize;

/**
 * {@link \Pancake\Validator\HasFileSize} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class HasFileSizeTest extends Test
{
	function test()
	{
		$validator = new HasFileSize;
		
		$this->assertTrue($validator->validate(PANCAKE_ROOT . '../tests-simpletest/files/image.gif', 1024));
		$this->assertIsA($validator->validate(PANCAKE_ROOT . '../tests-simpletest/files/image.gif', 1024), 'boolean');
		
		$this->assertEqual($validator->validate(PANCAKE_ROOT . '../tests-simpletest/files/nofile', 500), 'Please upload a file smaller than 500 bytes.');
		$this->assertEqual($validator->validate(PANCAKE_ROOT . '../tests-simpletest/files/image.gif', 500), 'Please upload a file smaller than 500 bytes.');
		$this->assertEqual($validator->validate(PANCAKE_ROOT . '../tests-simpletest/files/adobe.pdf', 1024), 'Please upload a file smaller than 1024 bytes.');
	}
}