<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Settings;
use Pancake\Validator\HasLinkCount;

/**
 * {@link \Pancake\Validator\HasLinkCountTest} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class HasLinkCountTest extends Test
{
	function test()
	{
		$validator = new HasLinkCount;
		
		$this->assertTrue($validator->validate('http://google.com'));
		$this->assertIsA($validator->validate('http://google.com'), 'boolean');
		
		$this->assertEqual($validator->validate('http://google.com', 0), Settings\Security::SPAM_MESSAGE);
		
		$this->assertEqual($validator->validate('http://www.google.com
		http://www.google.com
		http://www.yahoo.com
		http://www.google.com
		http://umn.edu
		http://www.microsoft.com
		http://www.google.com
		http://www.google.com
		http://www.google.com
		http://www.google.com
		http://www.google.com
		http://facebook.com
		http://www.google.com
		http://www.google.com
		http://www.google.com
		http://spamwebsite.ru
		http://www.google.com
		http://www.google.ru
		http://www.google.se
		http://www.google.com
		http://sua.umn.edu
		http://www.google.com
		http://www.google.com
		http://www.google.com
		http://www.google.com
		http://dn.se
		http://www.google.com
		http://www.google.com
		http://www.news.com
		http://www.google.com'), Settings\Security::SPAM_MESSAGE);
	}
}