<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\HasWordCount;

/**
 * {@link \Pancake\Validator\HasWordCount} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class HasWordCountTest extends Test
{
	function test()
	{
		$validator = new HasWordCount;
		
		$this->assertTrue($validator->validate('one, two, three, four, five six', 0, 6));
		$this->assertIsA($validator->validate('one, two, three, four, five six', 0, 6), 'boolean');
		
		$this->assertTrue($validator->validate('one two', 0, 6));
		$this->assertIsA($validator->validate('one two', 0, 6), 'boolean');
		
		$this->assertEqual($validator->validate('one two', 4), 'Please enter at least 4 words.');
		$this->assertEqual($validator->validate('one two three four five', 0, 4), 'Please enter no more than 4 words.');
		$this->assertEqual($validator->validate('', 1, 4), 'Please enter between 1 and 4 words.');
	}
}