<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsDateMonth;

/**
 * {@link \Pancake\Validator\IsDateMonth} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsDateMonthTest extends Test
{
	function test()
	{
		$validator = new IsDateMonth;
		
		$this->assertTrue($validator->validate('6'));
		$this->assertIsA($validator->validate('6'), 'boolean');
		
		$this->assertTrue($validator->validate('March'));
		$this->assertIsA($validator->validate('March'), 'boolean');
		
		$this->assertEqual($validator->validate('15'), 'Please enter a valid month (e.g. 12 or December).');
		$this->assertEqual($validator->validate('0'), 'Please enter a valid month (e.g. 12 or December).');
	}
}