<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsDate;

/**
 * {@link \Pancake\Validator\IsDate} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsDateTest extends Test
{
	function test()
	{
		$validator = new IsDate;
		
		$this->assertTrue($validator->validate('2006-12-26'));
		$this->assertIsA($validator->validate('2006-12-26'), 'boolean');
		
		$this->assertTrue($validator->validate('20061226'));
		$this->assertIsA($validator->validate('20061226'), 'boolean');
		
		$this->assertTrue($validator->validate('2006 12 26'));
		$this->assertIsA($validator->validate('2006 12 26'), 'boolean');
		
		$this->assertTrue($validator->validate('2006/12/26'));
		$this->assertIsA($validator->validate('2006/12/26'), 'boolean');
		
		$this->assertTrue($validator->validate('12 26 2007'));
		$this->assertIsA($validator->validate('12 26 2007'), 'boolean');
		
		$this->assertEqual($validator->validate('4 April 2009'), 'Please enter a valid date.');
		$this->assertEqual($validator->validate('2007 26 2007'), 'Please enter a valid date.');
	}
}