<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsDateYear;

/**
 * {@link \Pancake\Validator\IsDateYear} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsDateYearTest extends Test
{
	function test()
	{
		$validator = new IsDateYear;
		
		$this->assertTrue($validator->validate('1990'));
		$this->assertIsA($validator->validate('1990'), 'boolean');
		
		$this->assertEqual($validator->validate('10000'), 'Please enter a valid 4-digit year.');
		$this->assertEqual($validator->validate('50'), 'Please enter a valid 4-digit year.');
		$this->assertEqual($validator->validate('0'), 'Please enter a valid 4-digit year.');
	}
}