<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsIP;

/**
 * {@link \Pancake\Validator\IsIP} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsIPTest extends Test
{
	function test()
	{
		$validator = new IsIP;
		
		$this->assertTrue($validator->validate('128.101.72.244'));
		$this->assertIsA($validator->validate('128.101.72.244'), 'boolean');
		
		$this->assertEqual($validator->validate('128.101.244'), 'Please enter a valid <abbr title="Internet Protocol">IP</abbr> address.');
	}
}