<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsMIMEType;

/**
 * {@link \Pancake\Validator\IsMIMEType} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsMIMETypeTest extends Test
{
	function test()
	{
		$validator = new IsMIMEType;
		
		$this->assertTrue($validator->validate(PANCAKE_ROOT . '../tests-simpletest/files/image.gif', array('image/gif')));
		$this->assertIsA($validator->validate(PANCAKE_ROOT . '../tests-simpletest/files/image.gif', array('image/gif')), 'boolean');
		
		$this->assertTrue($validator->validate(PANCAKE_ROOT . '../tests-simpletest/files/image.gif', array('JPEG' => 'image/jpeg', 'GIF' => 'image/gif')));
		$this->assertIsA($validator->validate(PANCAKE_ROOT . '../tests-simpletest/files/image.gif', array('JPEG' => 'image/jpeg', 'image/png', 'GIF' => 'image/gif')), 'boolean');
		
		$this->assertTrue($validator->validate(PANCAKE_ROOT . '../tests-simpletest/files/adobe.pdf', array('PDF' => 'application/pdf')));
		$this->assertIsA($validator->validate(PANCAKE_ROOT . '../tests-simpletest/files/adobe.pdf', array('PDF' => 'application/pdf')), 'boolean');
		
		$this->assertEqual($validator->validate(PANCAKE_ROOT . '../tests-simpletest/files/nofile', array('PDF' => 'application/pdf')), 'Please upload a PDF file.');
		$this->assertEqual($validator->validate(PANCAKE_ROOT . '../tests-simpletest/files/image.gif', array('PDF' => 'application/pdf')), 'Please upload a PDF file.');
		$this->assertEqual($validator->validate(PANCAKE_ROOT . '../tests-simpletest/files/image.gif', array('MS Word' => 'application/msword')), 'Please upload a MS Word file.');
	}
}