<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsMoney;

/**
 * {@link \Pancake\Validator\IsMoney} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsMoneyTest extends Test
{
	function test()
	{
		$validator = new IsMoney;
		
		$this->assertTrue($validator->validate('33.80'));
		$this->assertIsA($validator->validate('33.80'), 'boolean');
		
		$this->assertTrue($validator->validate('0.23'));
		$this->assertIsA($validator->validate('0.23'), 'boolean');
		
		$this->assertTrue($validator->validate('1234.23'));
		$this->assertIsA($validator->validate('1234.23'), 'boolean');
		
		$this->assertTrue($validator->validate('1,234.23'));
		$this->assertIsA($validator->validate('1,234.23'), 'boolean');
		
		$this->assertTrue($validator->validate('$1 234.23'));
		$this->assertIsA($validator->validate('$1 234.23'), 'boolean');
		
		$this->assertTrue($validator->validate('€33.80'));
		$this->assertIsA($validator->validate('€33.80'), 'boolean');
		
		$this->assertEqual($validator->validate(''), 'Please enter a currency value in the form $1.23.');
		$this->assertEqual($validator->validate('2..66'), 'Please enter a currency value in the form $1.23.');
		$this->assertEqual($validator->validate('03.80'), 'Please enter a currency value in the form $1.23.');
		$this->assertEqual($validator->validate('03.80'), 'Please enter a currency value in the form $1.23.');
		$this->assertEqual($validator->validate('£$33.80'), 'Please enter a currency value in the form $1.23.');
	}
}