<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsPhoneNumber;

/**
 * {@link \Pancake\ValidatorIsPhoneNumber} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsPhoneNumberTest extends Test
{
	function test()
	{
		$validator = new IsPhoneNumber;
		
		$this->assertTrue($validator->validate('3214539549'));
		$this->assertIsA($validator->validate('3214539549'), 'boolean');
		
		$this->assertTrue($validator->validate('(321)453-9549'));
		$this->assertIsA($validator->validate('(321)453-9549'), 'boolean');
		
		$this->assertTrue($validator->validate('321-453-9549'));
		$this->assertIsA($validator->validate('321-453-9549'), 'boolean');
		
		$this->assertEqual($validator->validate('abc'), 'Please enter a valid phone number.');
		$this->assertEqual($validator->validate('321'), 'Please enter a valid phone number.');
	}
}