<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsPostalCode;

/**
 * {@link \Pancake\Validator\IsPostalCode} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsPostalCodeTest extends Test
{
	function test()
	{
		$validator = new IsPostalCode;
		
		$this->assertTrue($validator->validate('55455'));
		$this->assertIsA($validator->validate('55455'), 'boolean');
		
		$this->assertTrue($validator->validate('55455-3000'));
		$this->assertIsA($validator->validate('55455-3000'), 'boolean');
		
		$this->assertTrue($validator->validate('H3Z 2Y7'));
		$this->assertIsA($validator->validate('H3Z 2Y7'), 'boolean');
		
		$this->assertEqual($validator->validate('ethan@example.com'), 'Please enter a valid ZIP code.');
		$this->assertEqual($validator->validate('EC1Y 8SY'), 'Please enter a valid ZIP code.');
	}
}