<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsRanked;

/**
 * {@link \Pancake\Validator\IsRanked} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsRankedTest extends Test
{
	function test()
	{
		$validator = new IsRanked;
		
		$this->assertTrue($validator->validate(array('1', '2', '3'), '3'));
		$this->assertIsA($validator->validate(array('1', '2', '3'), '3'), 'boolean');
		
		$this->assertEqual($validator->validate(array('1', '3'), '3'), 'Please rank each option uniquely from 1 to 3.');
		$this->assertEqual($validator->validate(array('1', '2'), '3'), 'Please rank each option uniquely from 1 to 3.');
		$this->assertEqual($validator->validate(array('1', '1'), '3'), 'Please rank each option uniquely from 1 to 3.');
		$this->assertEqual($validator->validate(array('1', '4'), '3'), 'Please rank each option uniquely from 1 to 3.');
	}
}