<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsStateOrProvince;

/**
 * {@link \Pancake\Validator\IsStateOrProvince} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsStateOrProvinceTest extends Test
{
	function test()
	{
		$validator = new IsStateOrProvince;
		
		$this->assertTrue($validator->validate('FL'));
		$this->assertIsA($validator->validate('FL'), 'boolean');
		
		$this->assertTrue($validator->validate('MB'));
		$this->assertIsA($validator->validate('MB'), 'boolean');
		
		$this->assertTrue($validator->validate('Palau'));
		$this->assertIsA($validator->validate('Palau'), 'boolean');
		
		$this->assertEqual($validator->validate('ZE'), 'Please select a valid US state or Canadian province.');
	}
}