<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsTime;

/**
 * {@link \Pancake\Validator\IsTime} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsTimeTest extends Test
{
	function test()
	{
		$validator = new IsTime;
		
		$this->assertTrue($validator->validate('5:00'));
		$this->assertIsA($validator->validate('5:00'), 'boolean');
		
		$this->assertTrue($validator->validate('5:00 P.M.'));
		$this->assertIsA($validator->validate('5:00 P.M.'), 'boolean');
		
		$this->assertTrue($validator->validate('0:00'));
		$this->assertIsA($validator->validate('0:00'), 'boolean');
		
		$this->assertTrue($validator->validate('12:55'));
		$this->assertIsA($validator->validate('12:55'), 'boolean');
		
		$this->assertTrue($validator->validate('19:29'));
		$this->assertIsA($validator->validate('19:29'), 'boolean');
		
		$this->assertTrue($validator->validate('23:19'));
		$this->assertIsA($validator->validate('23:19'), 'boolean');
		
		$this->assertTrue($validator->validate('3pm'));
		$this->assertIsA($validator->validate('3pm'), 'boolean');
		
		$this->assertTrue($validator->validate('3PM'));
		$this->assertIsA($validator->validate('3PM'), 'boolean');
		
		$this->assertTrue($validator->validate('20'));
		$this->assertIsA($validator->validate('20'), 'boolean');
		
		$this->assertEqual($validator->validate('24'), 'Please enter a valid time.');
		$this->assertEqual($validator->validate('24:00'), 'Please enter a valid time.');
		$this->assertEqual($validator->validate('45:10'), 'Please enter a valid time.');
		$this->assertEqual($validator->validate('12pam'), 'Please enter a valid time.');
		$this->assertEqual($validator->validate('12pdm'), 'Please enter a valid time.');
	}
}