<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsURL;

/**
 * {@link \Pancake\Validator\IsURL} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsURLTest extends Test
{
	function test()
	{
		$validator = new IsURL;
		
		$this->assertTrue($validator->validate('http://www.lowter.com'));
		$this->assertIsA($validator->validate('http://www.lowter.com'), 'boolean');
		
		$this->assertTrue($validator->validate('http://news.bbc.co.uk'));
		$this->assertIsA($validator->validate('http://news.bbc.co.uk'), 'boolean');
		
		$this->assertEqual($validator->validate('foobar'), 'Please enter a valid website address.');
	}
}