<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsUnique;

/**
 * {@link \Pancake\Validator\IsUnique} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsUniqueTest extends Test
{
	function test()
	{
		$validator = new IsUnique;
		
		$this->assertTrue($validator->validate(array('one', 'two', 'three')));
		$this->assertIsA($validator->validate(array('one', 'two', 'three')), 'boolean');
		
		$this->assertEqual($validator->validate(array('one', 'one', 'three')), 'Please make sure all of your values are unique.');
		$this->assertEqual($validator->validate('two'), 'Please make sure all of your values are unique.');
	}
}