<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Settings;
use Pancake\Validator\IsWithinDateRange;

/**
 * {@link \Pancake\ValidatorIsWithinDateRange} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsWithinDateRangeTest extends Test
{
	function test()
	{
		$validator = new IsWithinDateRange;
		
		$this->assertTrue($validator->validate(time(), 'today', '+2 years'));
		$this->assertIsA($validator->validate(time(), 'today', '+2 years'), 'boolean');
		
		$this->assertTrue($validator->validate(strtotime('+1 month'), 'today', '+2 years'));
		$this->assertIsA($validator->validate(strtotime('+1 month'), 'today', '+2 years'), 'boolean');
		
		$this->assertTrue($validator->validate(time(), NULL, 'tomorrow'));
		$this->assertIsA($validator->validate(time(), NULL, 'tomorrow'), 'boolean');
		
		$this->assertTrue($validator->validate(strtotime('+6 years'), 'today', NULL));
		$this->assertIsA($validator->validate(strtotime('+6 years'), 'today', NULL), 'boolean');
		
		$this->assertEqual($validator->validate(strtotime('-1 day'), 'today', '+2 years'), 'Please enter a valid date between ' . date(Settings\Dates::DATETIME_FORMAT, strtotime('today')). ' and ' . date(Settings\Dates::DATETIME_FORMAT, strtotime('+2 years')). '.');
		$this->assertEqual($validator->validate(strtotime('+3 years'), 'today', '+2 years'), 'Please enter a valid date between ' . date(Settings\Dates::DATETIME_FORMAT, strtotime('today')). ' and ' . date(Settings\Dates::DATETIME_FORMAT, strtotime('+2 years')). '.');
	}
}